.TH "gdbm_close()" "" "" "GDBM Function (libgdbm)"
.PC "Close a GDBM data base"
.B "#include <gdbm.h>"
\fBvoid gdbm_close (\fIdatabase\^\fB)\fR
\fBGDBM_FILE \fIdatabase\^\fB;\fR
.PP
Function
.B gdbm_close()
closes the data base to which
.I database
points.
.I database
must have been returned by a call to
.BR gdbm_open() .
.SH "See Also"
.XR "gdbm.h," gdbm.h
.XR "gdbm_open()," gdbm_open
.XR "libgdbm" libgdbm
.SH Notes
If
.I database
were opened into mode
.BR GDBM_FAST ,
.B gdbm_close()
automatically calls
.B gdbm_sync()
to flush buffered data into the data base before it closes
.IR database .
.PP
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
